import processing.sound.*;

SoundFile song;

void setup() {
  size(200, 200);

  song = new SoundFile(this, "beat.mp3");
  song.loop();
}

void draw() {
  background(255);

  float volume = map(mouseX, 0, width, 0, 1);
  song.amp(volume);

  float speed = map(mouseY, 0, height, 0, 2);
  song.rate(speed);

  stroke(0);
  fill(51, 100);
  ellipse(mouseX, 100, 48, 48);
  stroke(0);
  fill(51, 100);
  ellipse(100, mouseY, 48, 48);
}