import processing.sound.*;

SoundFile song;

FFT fft;
int bands = 512;

void setup() {
  size(512, 360);

  song = new SoundFile(this, "beat.mp3");
  song.loop();

  fft = new FFT(this, bands);
  fft.input(song);
}

void draw() {
  background(255);

  fft.analyze();

  for (int i = 0; i < fft.size(); i++) {
    stroke(0);
    float y = map(fft.spectrum[i], 0, 1, height * 0.75, 0);
    line(i, height * 0.75, i, y);
  }
}