import processing.sound.*;

AudioIn input;
FFT fft;
int bands=512;
float[] spectrum = new float[bands];

void setup() {
  size(512, 360);

  input = new AudioIn(this, 0);

  input.play();

  fft = new FFT(this, bands);
  fft.input(input);
}

void draw() {
  background(255);

  fft.analyze(spectrum);

  for (int i = 0; i < spectrum.length; i++) {
    stroke(0);
    float y = map(spectrum[i], 0, 1, height * 0.75, 0);
    line(i, height * 0.75, i, y);
  }
}