import processing.sound.*;

SoundFile song;
Amplitude analyzer;

void setup() {
  size(640, 360);
  song = new SoundFile(this, "beat.mp3");
  song.loop();

  analyzer = new Amplitude(this);
  analyzer.input(song);
}

void draw() {
  background(255);

  float vol = analyzer.analyze();
  fill(127);
  stroke(0);

  ellipse(width/2, height/2, 10+vol*200, 10+vol*200);
}