import processing.sound.*;

AudioIn input;
Amplitude analyzer;

void setup() {
  size(200, 200);

  input = new AudioIn(this, 0);

  input.start();
  
  analyzer = new Amplitude(this);
  analyzer.input(input);
}

void draw() {
  background(255);

  float vol = analyzer.analyze();
  fill(127);
  stroke(0);

  ellipse(width/2, height/2, 10+vol*200, 10+vol*200);
}